﻿// ******************************************************************************************************
//     Copyright (c) Raafcom BV All rights reserved.
// ******************************************************************************************************
// The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); 
// you may not use this file except in compliance with the License. You may obtain a copy of the License at 
// http:// www.mozilla.org/MPL/ 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF 
// ANY KIND, either express or implied. See the License for the specificlanguage governing rights and 
// limitations under the License. 
// 
// The Original Code is this.mapWindow 
// 
// The Initial Developer of this version of the Original Code is Carlos Osorio
// 
// Contributor(s): (Open source contributors should list themselves and their modifications here). 
// Change Log: 
// Date           Changed By      Notes
// 01 July 2012    Maurits van Ravesteijn   Inital upload 
// ******************************************************************************************************/*Copyright (C) 2010-2012 RAAFCOM B.V. All rights reserved.

//This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
//WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
using System;
using System.Collections.Generic;
using System.Collections;
using System.Linq;
using System.Text;

namespace GridColorAnalyser
{
    public class XYPointEntity : IComparable
    {
        int x = 0;
        int y = 0;
       
        public XYPointEntity()
        {
            
        }

        public int X
        {
            get { return x; }
            set { x = value; }
        }
        public int Y
        {
            get { return y; }
            set { y = value; }
        }

        public int CompareTo(Object obj)
        {
            XYPointEntity xy2 = obj as XYPointEntity;
            if (this.X > xy2.X)
            {
                return 1;
            }
            else if (this.X < xy2.X)
            {
                return -1;
            }
            else if (this.Y > xy2.Y)
            {
                return 1;
            }
            else if (this.Y < xy2.Y)
            {
                return -1;
            }
            else
            {
                return 0;
            }
            
        }

    }
}
