﻿// ********************************************************************************************************
// <copyright file="HistInterval.cs" company="RAAFCOM B.V.">
//     Copyright (c) 2012 RAAFCOM B.V.. All rights reserved.
// </copyright>
// ********************************************************************************************************
// The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); 
// you may not use this file except in compliance with the License. You may obtain a copy of the License at 
// http:// www.mozilla.org/MPL/ 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF 
// ANY KIND, either express or implied. See the License for the specificlanguage governing rights and 
// limitations under the License. 
// 
// The Initial Developer of this version is Maurits van Ravesteijn.
// 
// Contributor(s): (Open source contributors should list themselves and their modifications here). 
// Change Log: 
// Date           Changed By                Notes
// 07 Aug 2012  Maurits van Ravesteijn    Inital coding
// ********************************************************************************************************/*Copyright (C) 2010-2012 RAAFCOM B.V. All rights reserved.


//This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
//WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.*/
using System;
using System.Collections.Generic;
using System.Collections;
using System.Linq;
using System.Text;

namespace GridColorAnalyser
{
    public class HistInterval : IComparable
    {
        double x_from = 0.0;
        double x_till = 0.0;
        int    y    = 0;
       
        public HistInterval()
        {
            
        }

        public HistInterval(double xf, double xt, int y1)
        {
            this.X_from = xf;
            this.X_till = xt;
            this.Y = y1;
        }


        public double X_from
        {
            get { return x_from; }
            set { x_from = value; }
        }
        
        public double X_till
        {
            get { return x_till; }
            set { x_till = value; }
        }
        
        public int Y
        {
            get { return y; }
            set { y = value; }
        }

        public int CompareTo(Object obj)
        {
            HistInterval xy2 = obj as HistInterval;
            if (this.X_from > xy2.X_from)
            {
                return 1;
            }
            else if (this.X_from < xy2.X_from)
            {
                return -1;
            }
            else if (this.X_till > xy2.X_till)
            {
                return 1;
            }
            else if (this.X_till < xy2.X_till)
            {
                return -1;
            }
            else
            {
                return 0;
            }
            
        }

    }
}
