﻿// ********************************************************************************************************
// <copyright file="Helper.cs" company="TopX Geo-ICT">
//     Copyright (c) 2011 TopX Geo-ICT. All rights reserved.
// </copyright>
// ********************************************************************************************************
// The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); 
// you may not use this file except in compliance with the License. You may obtain a copy of the License at 
// http:// www.mozilla.org/MPL/ 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF 
// ANY KIND, either express or implied. See the License for the specific language governing rights and 
// limitations under the License. 
// 
// The Initial Developer of this file is Paul Meems.
// 
// Contributor(s): (Open source contributors should list themselves and their modifications here). 
// Change Log: 
// Date           Changed By      Notes
// 28 Sept 2011   Paul Meems      Inital coding
// 09 Sept 2013   Paul Meems      Converted to a template plug-in for general use
// ********************************************************************************************************

namespace PluginTemplate.Classes
{
  using System.Linq;
  using MapWindow.Interfaces;

  /// <summary>A helper class</summary>
  internal static class Helper
  {
    /// <summary>Gets or sets a reference to the MapWindow map object</summary>
    public static IMapWin MapWin { get; set; }
  }
}
